# PrimitiveTernary Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveTernary:
[legend]

List of all members.

## Public Member Functions

| setTrueValue ($trueValue)
| setFalseValue ($falseValue)
| import ($scope)
| importValue ($value)

## Private Attributes

| $falseValue = 0
| $trueValue = 1

## Detailed Description

Definition at line 15 of file PrimitiveTernary.class.php.

## Member Function Documentation

PrimitiveTernary::import | ( | $ | scope | ) |

Reimplemented from BasePrimitive.

Definition at line 40 of file PrimitiveTernary.class.php.

References BasePrimitive::clean().

Here is the call graph for this function:

PrimitiveTernary::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 60 of file PrimitiveTernary.class.php.

References BasePrimitive::$value, and Assert::isTernaryBase().

Here is the call graph for this function:

PrimitiveTernary::setFalseValue | ( | $ | falseValue | ) |

Returns:
  PrimitiveTernary

Definition at line 33 of file PrimitiveTernary.class.php.

References $falseValue.

PrimitiveTernary::setTrueValue | ( | $ | trueValue | ) |

Returns:
  PrimitiveTernary

Definition at line 23 of file PrimitiveTernary.class.php.

References $trueValue.

## Member Data Documentation

PrimitiveTernary::$falseValue = 0`[private]`

Definition at line 17 of file PrimitiveTernary.class.php.

Referenced by setFalseValue().

PrimitiveTernary::$trueValue = 1`[private]`

Definition at line 18 of file PrimitiveTernary.class.php.

Referenced by setTrueValue().

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveTernary.class.php